LibreOffice: XSchemaHandler Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSchemaHandler Interface Referencepublished

receives a description of a configuration schema as a sequence of events. More...

Inheritance diagram for XSchemaHandler:

## Public Member Functions
void | startSchema () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a schema description is started.
void | endSchema () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that the current schema description is complete.
void | importComponent ([in] string aName) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that the schema depends on templates from a different component.
void | startComponent ([in] string aName) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a component description is started.
void | endComponent () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a component description is complete.
void | startGroupTemplate ([in] TemplateIdentifier aTemplate, [in] short aAttributes) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a template description is started for a group.
void | startSetTemplate ([in] TemplateIdentifier aTemplate, [in] short aAttributes, [in] TemplateIdentifier aItemType) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a template description is started for a set.
void | endTemplate () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a template description is complete.
void | startGroup ([in] string aName, [in] short aAttributes) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a group description is started.
void | startSet ([in] string aName, [in] short aAttributes, [in] TemplateIdentifier aItemType) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a set description is started.
void | endNode () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a node description is complete.
void | addProperty ([in] string aName, [in] short aAttributes, [in] type aType) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a property is added to the current node.
void | addPropertyWithDefault ([in] string aName, [in] short aAttributes, [in] any aDefaultValue) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a property having a default value is added to the current node.
void | addInstance ([in] string aName, [in] TemplateIdentifier aTemplate) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that the current group has a child node that is an instance of a specified template.
void | addItemType ([in] TemplateIdentifier aItemType) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that the current set can contain items that are instances of a specified template.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

receives a description of a configuration schema as a sequence of events.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ addInstance()

void addInstance | ( | [in] string | aName,
|  | [in] TemplateIdentifier | aTemplate
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that the current group has a child node that is an instance of a specified template.

Parameters

  aName | specifies the name of the new node.
  aTemplate | specifies a template that describes the new node.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a group node in progress currently if there already is a node with that name if the template is not found if the name or template name are not valid

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ addItemType()

void addItemType | ( | [in] TemplateIdentifier | aItemType | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that the current set can contain items that are instances of a specified template.

Parameters

  aItemType | specifies a template that is accepted as valid item type for the current set node.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a set node in progress currently if the template is not found if the name is not a valid template name

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ addProperty()

void addProperty | ( | [in] string | aName,
|  | [in] short | aAttributes,
|  | [in] type | aType
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a property is added to the current node.

The property will have a default value of `NULL` (unless it is SchemaAttribute::REQUIRED).

Parameters

  aName | specifies the name of the new property.
  aAttributes | specifies the attributes of the new property.

The value is a combination of SchemaAttribute flags.

Parameters

  aType | specifies the type of the new property.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a group or extensible node in progress currently if a property with the same name already exists if the specified type is not allowed if the name is not a valid property name if the attributes are not valid for a property

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::SchemaAttribute

## ◆ addPropertyWithDefault()

void addPropertyWithDefault | ( | [in] string | aName,
|  | [in] short | aAttributes,
|  | [in] any | aDefaultValue
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a property having a default value is added to the current node.

Parameters

  aName | specifies the name of the new property.
  aAttributes | specifies the attributes of the new property.

The value is a combination of SchemaAttribute flags.

Parameters

  aDefaultValue | specifies the value of the new property.

The value also determines the type. Therefore the value must not be `VOID`.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a group or extensible node in progress currently if a property with the same name already exists if the type of the default value is not an allowed type, or if the default value is `VOID` if the name is not a valid property name if the attributes are not valid for a property

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::SchemaAttribute

## ◆ endComponent()

void endComponent | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a component description is complete.

Must match a previous call to startComponent().

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if invalid data is detected in the component if there is an unfinished subnode in progress if no component has been started at all if the instance supports no component schemas (only templates)

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ endNode()

void endNode | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a node description is complete.

Must match the last open call to startGroup() or startSet().

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if the name is not the name of the node in progress if invalid data is detected in the node if no node has been started at all

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ endSchema()

void endSchema | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that the current schema description is complete.

Must match a previous call to startSchema().

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if invalid data is detected in the schema if there is an unfinished component or template in progress if no schema is started at all

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ endTemplate()

void endTemplate | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a template description is complete.

Must match a previous call to startGroupTemplate() or startSetTemplate().

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if invalid data is detected in the template if there is an unfinished subnode in progress if no template has been started at all if the instance supports no templates (only component schemas)

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ importComponent()

void importComponent | ( | [in] string | aName | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that the schema depends on templates from a different component.

Parameters

  aName | specifies the name of the component.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there is an unfinished component or template in progress if no schema is started at all if the name is not a valid component name if the requested component is not found

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ startComponent()

void startComponent | ( | [in] string | aName | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a component description is started.

Subsequent calls describe the schema of the component until a matching call to endComponent() is encountered.

Parameters

  aName | specifies the name of the component.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there is an unfinished component or template in progress if no schema is started at all if there already is a component data tree of this name if the name is not a valid component name if the instance supports no component schemas (only templates)

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ startGroup()

void startGroup | ( | [in] string | aName,
|  | [in] short | aAttributes
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a group description is started.

Subsequent calls describe the members and properties of the group until a matching call to endNode() is encountered.

Parameters

  aName | specifies the name of the group.
  aAttributes | specifies the attributes of the node.

The value is a combination of SchemaAttribute flags.

SchemaAttribute::EXTENSIBLE can be used to describe a group with an extensible set of properties.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a group node in progress currently if there already is a node with that name if the name is not a valid node name if the attributes are not valid for a group

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::SchemaAttribute

## ◆ startGroupTemplate()

void startGroupTemplate | ( | [in] TemplateIdentifier | aTemplate,
|  | [in] short | aAttributes
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a template description is started for a group.

Subsequent calls describe the members and properties of the template until a matching call to endTemplate() is encountered.

Parameters

  aTemplate | specifies the identity of the template.
  aAttributes | specifies the attributes of the template.

The value is a combination of SchemaAttribute flags.

SchemaAttribute::EXTENSIBLE can be used to describe a template for a node with an extensible set of properties.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there is an unfinished component or template in progress if no schema is started at all if there already is a template with that identifier if the name is not a valid template identifier if the attributes are not valid for a group if the instance supports no templates (only component schemas)

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::SchemaAttribute

## ◆ startSchema()

void startSchema | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a schema description is started.

The schema description may comprise components templates or both.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if a schema is already started (and has not been ended).
  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ startSet()

void startSet | ( | [in] string | aName,
|  | [in] short | aAttributes,
|  | [in] TemplateIdentifier | aItemType
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a set description is started.

Subsequent calls describe the item-types and properties of the set until a matching call to endNode() is encountered.

Parameters

  aName | specifies the name of the set.
  aAttributes | specifies the attributes of the node.

The value is a combination of SchemaAttribute flags.

SchemaAttribute::EXTENSIBLE can be used to describe a set with an extensible set of properties.

Parameters

  aItemType | specifies the (default) template for set items.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a group node in progress currently if there already is a node with that name if the item-type template is not found if the name is not a valid node name if the item-type is not a valid template identifier if the attributes are not valid for a set

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::SchemaAttribute

## ◆ startSetTemplate()

void startSetTemplate | ( | [in] TemplateIdentifier | aTemplate,
|  | [in] short | aAttributes,
|  | [in] TemplateIdentifier | aItemType
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a template description is started for a set.

Subsequent calls describe the members and properties of the template until a matching call to endTemplate() is encountered.

Parameters

  aTemplate | specifies the identity of the template.
  aAttributes | specifies the attributes of the template.

The value is a combination of SchemaAttribute flags.

SchemaAttribute::EXTENSIBLE can be used to describe a template for a node with an extensible set of properties.

Parameters

  aItemType | specifies the (default) template for set items.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there is an unfinished component or template in progress if no schema is started at all if there already is a template with that identifier if the item-type template is not found if the name or item-type are not valid template identifiers if the attributes are not valid for a set if the instance supports no templates (only component schemas).

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::SchemaAttribute

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XSchemaHandler.idl